Skip to main content
POST
/
v1
/
config
/
{category}
/
user-settings
/
reset
Java (SDK)
package hello.world;

import java.lang.Exception;
import org.openapis.openapi.AriesJava;
import org.openapis.openapi.models.operations.ResetUserSettingsResponse;

public class Application {

    public static void main(String[] args) throws Exception {

        AriesJava sdk = AriesJava.builder()
                .bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
            .build();

        ResetUserSettingsResponse res = sdk.userSettings().reset()
                .category("trading")
                .call();

        if (res.object().isPresent()) {
            // handle response
        }
    }
}
{}

Documentation Index

Fetch the complete documentation index at: https://finance.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

category
string
required

The category of settings to reset

Response

User settings reset successfully

The response is of type object.